#!/bin/bash

cd bin/
#=========读取最后一个版本信息=========
versions=($(cat ./version_log.json | awk -F 'version' '/version/{print$0}' | sed 's/ //g'  ))
versions_length=${#versions[@]}
newest_version_str=${versions[versions_length-1]}
newest_version_str_length=${#newest_version_str}
#获取字符后面索引值
newest_version_str_length_end=$[newest_version_str_length-2-11]
old_version=${newest_version_str:11:$newest_version_str_length_end}
versionArr=[]
v=${old_version//./ }
index=0
for i in $v; do
    versionArr[index]=$i
    index=$[index+1]
done

read -p  "请提交变动信息:" commit_msg
#=========执行更新类别选择(默认bug修复)=========

commitPrefix="[修复]"

echo "====== 1. 迭代 ======"
echo "====== 2. 更新  ======"
echo "====== 3. 修复 ======"
read -p  "请选择变动类型 (默认:3) :" level

case $level in
    1)  echo '您已选择版本迭代'
    versionArr[0]=$[versionArr[0]+1]
    versionArr[1]=0
    versionArr[2]=0
    commit="[迭代]"$commit_msg
    ;;
    2)  echo '您已选择小更新'
    versionArr[1]=$[versionArr[1]+1]
    versionArr[2]=0
    commit="[更新]"$commit_msg
    ;;
    3)  echo '您已选择修复'
    versionArr[2]=$[versionArr[2]+1]
    commit="[修复]"$commit_msg
    ;;
    *)  echo '您已默认选择修复'
    versionArr[2]=$[versionArr[2]+1]
    commit="[修复]"$commit_msg
    ;;
esac
now_date=`date "+%Y-%m-%d_%H:%M:%S"`
echo $now_date
version=${versionArr[0]}'.'${versionArr[1]}'.'${versionArr[2]}
echo $version
addInfo="{\"date\":\"$now_date\",\"version\":\"$version\",\"commit\":\"$commit\"}"


echo $addInfo
#=========更新版本日志文件信息=========
node commit $addInfo


node version
git commit -am $commit

read -p  "是否添加Tag(Git)1/0:" is_add_tag
echo $is_add_tag
if(($is_add_tag == 1 ))
then
  echo "您已选择推送Git标签,即将执行..."
  git tag $version
  git push origin --tags dev
else
  echo "您未选择推送Git标签,即将结束..."
  git push origin dev
fi



exit 1
