import request from '@/utils/request'

const api_name = '/admin/acl/user'

export default {

  getPageList(page, limit, searchObj) {
    return request({
      url: `${api_name}/${page}/${limit}`,
      method: 'get',
      params: searchObj // url查询字符串或表单键值对
    })
  },
  getById(id) {
    return request({
      url: `${api_name}/get/${id}`,
      method: 'get'
    })
  },

  save(user) {
    return request({
      url: `${api_name}/save`,
      method: 'post',
      data: user
    })
  },

  updateById(user) {
    return request({
      url: `${api_name}/update`,
      method: 'put',
      data: user
    })
  },
  getAssign(userId) {
    return request({
      url: `${api_name}/toAssign/${userId}`,
      method: 'get'
    })
  },
  saveAssign(userId, roleId) {
    return request({
      url: `${api_name}/doAssign`,
      method: 'post',
      params: {userId, roleId}
    })
  },
  removeById(id) {
    return request({
      url: `${api_name}/remove/${id}`,
      method: 'DELETE'
    })
  },
  removeRows(idList) {
    return request({
      url: `${api_name}/batchRemove`,
      method: 'DELETE',
      data: idList
    })
  },
  //获取当前登录用户信息
  getUserInfo() {
    return request({
      url: `${api_name}/getUserInfo`,
      method: 'GET'
    })
  },
  //验证是否存在相同用户名
  getUserByUsername(username) {
    return request({
      url: `${api_name}/getUserByUsername`,
      method: 'POST',
      params: {username}
    })
  },
  //更新当前管理账户密码
  updatePwd(adminQuery) {
    return request({
      url: `${api_name}/updatePwd`,
      method: 'POST',
      params: {
        ...adminQuery
      }
    })
  },
  //根据id重置管理账户默认密码
  setPwd(id) {
    return request({
      url: `${api_name}/setPwd/${id}`,
      method: 'GET',
    })
  }
}
