import request from '@/utils/request'

export default {
  //分页获取广告列表
  getBannerListPage(current, limit, terminalBannerQuery) {
    return request({
      url: `/terminalBanner/pageBanner/${current}/${limit}`,
      method: 'POST',
      data: terminalBannerQuery
    })
  },
  //删除广告
  deleteBannerId(id) {
    return request({
      url: `/terminalBanner/${id}`,
      method: 'DELETE'
    })
  },
  //添加广告
  addBanner(terminalBanner) {
    return request({
      url: `/terminalBanner/addBanner`,
      method: 'POST',
      data: terminalBanner
    })
  },
  //根据id查询广告
  getBannerInfo(id) {
    return request({
      url: `/terminalBanner/getBanner/${id}`,
      method: 'GET'
    })
  },
  //修改广告
  updateBannerInfo(terminalBanner) {
    return request({
      url: `/terminalBanner/updateBanner`,
      method: 'POST',
      data: terminalBanner
    })
  },
  //修改广告
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //上下架广告
  updateBannerStatu(id) {
    return request({
      url: `/terminalBanner/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取广告分类
  getCategoryList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
