import request from '@/utils/request'

export default {
  //分页获取员工列表
  getSportCountListPage(current, limit, sportQuery) {
    return request({
      url: `/staffInfo/pageStaff/${current}/${limit}`,
      method: 'POST',
      data: sportQuery
    })
  },
  //导出员工运动详情
  exportStaffInfo(sportQuery) {
    return request({
      url: `/staffInfo/exportStaffSportRecord`,
      method: 'POST',
      data: sportQuery,
      responseType: 'blob'
    })
  },
  //员工列表 -> 员工运动详情分页
  getSportStaffListPage(current, limit, sportQuery) {
    return request({
      url: `/sport/pageStaffSport/${current}/${limit}`,
      method: 'POST',
      data: sportQuery
    })
  },

  //删除员工
  deleteStaffId(id) {
    return request({
      url: `/staffInfo/${id}`,
      method: 'DELETE'
    })
  },
  //添加员工
  addStaff(staff) {
    return request({
      url: `/staffInfo/addStaff`,
      method: 'POST',
      data: staff
    })
  },
  //根据id查询员工
  getStaffInfo(id) {
    return request({
      url: `/staffInfo/getStaff/${id}`,
      method: 'GET'
    })
  },
  //修改员工
  updateStaffInfo(staff) {
    return request({
      url: `/staffInfo/updateStaff`,
      method: 'POST',
      data: staff
    })
  },



  //分页获取运动记录列表
  getSportRecordListPage(current, limit, sportQuery) {
    return request({
      url: `/sport/pageSportRecord/${current}/${limit}`,
      method: 'POST',
      data: sportQuery
    })
  },


}
