import request from '@/utils/request'

export default {
  //分页获取课程列表
  getCourseListPage(current, limit, courseQuery) {
    return request({
      url: `/course/pageCourse/${current}/${limit}`,
      method: 'POST',
      data: courseQuery
    })
  },
  //删除课程
  deleteCourseId(id) {
    return request({
      url: `/course/${id}`,
      method: 'DELETE'
    })
  },
  //添加课程
  addCourse(course) {
    return request({
      url: `/course/addCourse`,
      method: 'POST',
      data: course
    })
  },
  //根据id查询课程
  getCourseInfo(id) {
    return request({
      url: `/course/getCourse/${id}`,
      method: 'GET'
    })
  },
  //修改课程
  updateCourseInfo(course) {
    return request({
      url: `/course/updateCourse`,
      method: 'POST',
      data: course
    })
  },
  //修改课程
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //上下架课程
  updateCourseStatu(id) {
    return request({
      url: `/course/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取播放视频授权
  playCourseVideo(id) {
    return request({
      url: `/video/getPlayAuth`,
      method: 'GET',
      params: {
        id: id
      }
    })
  },

  //移除播放视频
  removeCourseVideo(id) {
    return request({
      url: `/video/removeAlyVideo`,
      method: 'GET',
      params: {
        id: id
      }
    })
  },

  //获取课程分类
  getCategoryList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
