import request from '@/utils/request'

export default {
  //分页获取资讯列表
  getArticleListPage(current, limit, articleQuery) {
    return request({
      url: `/article/pageArticle/${current}/${limit}`,
      method: 'POST',
      data: articleQuery
    })
  },
  //删除资讯
  deleteArticleId(id) {
    return request({
      url: `/article/${id}`,
      method: 'DELETE'
    })
  },
  //添加资讯
  addArticle(article) {
    return request({
      url: `/article/addArticle`,
      method: 'POST',
      data: article
    })
  },
  //根据id查询资讯
  getArticleInfo(id) {
    return request({
      url: `/article/getArticle/${id}`,
      method: 'GET'
    })
  },
  //修改资讯
  updateArticleInfo(article) {
    return request({
      url: `/article/updateArticle`,
      method: 'POST',
      data: article
    })
  },
  //修改资讯
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //上下架资讯
  updateArticleStatu(id) {
    return request({
      url: `/article/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取资讯分类
  getCategoryList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
