import request from '@/utils/request'

export default {
  //分页获取轮播图列表
  getBannerListPage(current, limit, bannerQuery) {
    return request({
      url: `/banner/pageBanner/${current}/${limit}`,
      method: 'POST',
      data: bannerQuery
    })
  },
  //删除轮播图
  deleteBannerId(id) {
    return request({
      url: `/banner/${id}`,
      method: 'DELETE'
    })
  },
  //添加轮播图
  addBanner(banner) {
    return request({
      url: `/banner/addBanner`,
      method: 'POST',
      data: banner
    })
  },
  //根据id查询轮播图
  getBannerInfo(id) {
    return request({
      url: `/banner/getBanner/${id}`,
      method: 'GET'
    })
  },
  //修改轮播图
  updateBannerInfo(banner) {
    return request({
      url: `/banner/updateBanner`,
      method: 'POST',
      data: banner
    })
  },
  //修改轮播图
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //上下架轮播图
  updateBannerStatu(id) {
    return request({
      url: `/banner/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取轮播图分类
  getCategoryList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
