import request from '@/utils/request'

export default {
  //分页获取用户列表
  getCustomerListPage(current,limit,customerQuery) {
    return request({
      url: `/customer/pageCustomer/${current}/${limit}`,
      method: 'POST',
      data: customerQuery
    })
  },
  //删除用户
  deleteCustomerId(id) {
    return request({
      url: `/customer/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询用户
  getCustomerInfo(id) {
    return request({
      url: `/customer/getCustomer/${id}`,
      method: 'GET'
    })
  },
  //修改用户
  updateCustomerInfo(customer) {
    return request({
      url: `/customer/updateCustomer`,
      method: 'POST',
      data: customer
    })
  },
  //修改用户
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //是否黑名单用户
  updateCustomerStatu(id) {
    return request({
      url: `/customer/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取登录方式
  getLoginWayList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
