import request from '@/utils/request'

export default {
  //分页获取列表
  getSmartDeviceListPage(current, limit, dataQuery) {
    return request({
      url: `/smartDevice/pageSmartDevice/${current}/${limit}`,
      method: 'POST',
      data: dataQuery
    })
  },
  //删除
  deleteSmartDeviceId(id) {
    return request({
      url: `/smartDevice/${id}`,
      method: 'DELETE'
    })
  },
  //添加
  addSmartDevice(data) {
    return request({
      url: `/smartDevice/addSmartDevice`,
      method: 'POST',
      data: data
    })
  },
  //根据id查询
  getSmartDeviceInfo(id) {
    return request({
      url: `/smartDevice/getSmartDevice/${id}`,
      method: 'GET'
    })
  },
  //修改
  updateSmartDeviceInfo(data) {
    return request({
      url: `/smartDevice/updateSmartDevice`,
      method: 'POST',
      data: data
    })
  },
  //上下架
  updateSmartDeviceStatus(id) {
    return request({
      url: `/smartDevice/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取列表
  getSmartDeviceList() {
    return request({
      url: `/smartDevice/SmartDeviceIndex`,
      method: 'GET'
    })
  },
  //获取分类
  getCategoryList(categoryName = "smartDevice") {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }


}
