import request from '@/utils/request'

export default {
  //分页获取Trainer列表
  getTrainerListPage(current, limit, dataQuery) {
    return request({
      url: `/data/pageTrainer/${current}/${limit}`,
      method: 'POST',
      data: dataQuery
    })
  },
  //删除Trainer
  deleteTrainerId(id) {
    return request({
      url: `/data/${id}`,
      method: 'DELETE'
    })
  },
  //添加Trainer
  addTrainer(data) {
    return request({
      url: `/data/addTrainer`,
      method: 'POST',
      data: data
    })
  },
  //根据id查询Trainer
  getTrainerInfo(id) {
    return request({
      url: `/data/getTrainer/${id}`,
      method: 'GET'
    })
  },
  //修改Trainer
  updateTrainerInfo(data) {
    return request({
      url: `/data/updateTrainer`,
      method: 'POST',
      data: data
    })
  },
  //上下架Trainer
  updateTrainerStatus(id) {
    return request({
      url: `/data/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取教练列表
  getTrainerList() {
    return request({
      url: `/data/trainerIndex`,
      method: 'GET'
    })
  }


}
