import request from '@/utils/request'

export default {

  getEventListPage(current, limit, eventQuery) {
    let query = {...eventQuery}
    let params = ''
    Object.keys(query).map(item => {
      params += `&${item}=${query[item]}`
    })
    return request({
      url: `/event/pageEvent?current=${current}&limit=${limit}` + params,
      method: 'GET',
    })
  },

  exportPageEventExcel(current, limit, eventQuery) {
    let query = {...eventQuery}
    let params = ''
    Object.keys(query).map(item => {
      params += `&${item}=${query[item]}`
    })
    return request({
      url: `/event/pageEventExcel?current=${current}&limit=${limit}` + params,
      method: 'POST',
      responseType : "blob",
    })
  },

  getEventConfig() {

    return request({
      url: `/event/eventConfig`,
      method: 'GET',
    })
  },

  getEventDetailIndex(event, current, limit, eventQuery) {
    let query = {...eventQuery}
    let params = ''
    Object.keys(query).map(item => {
      params += `&${item}=${query[item]}`
    })
    return request({
      url: `/event/show/${event}?current=${current}&limit=${limit}` + params,
      method: 'GET',
    })
  },

  getDateEventDataPage(endTime, eventQuery) {
    let query = {...eventQuery}
    let params = ''
    Object.keys(query).map((item, i) => {
      params += `&${item}=${query[item]}`
    })
    return request({
      url: `/event/dateEvent?endTime=` + endTime + params,
      method: 'GET',
    })
  },


}
