import request from '@/utils/request'

export default {
  //分页获取列表
  getLiveRoomListPage(current, limit, liveQuery) {
    return request({
      url: `/live/pageLiveRoom/${current}/${limit}`,
      method: 'POST',
      data: liveQuery
    })
  },
  //删除
  sendMessageLiveRoomId(id) {
    return request({
      url: `/live/sendMessage/${id}`,
      method: 'GET'
    })
  },
  //删除
  deleteLiveRoomId(id) {
    return request({
      url: `/live/${id}`,
      method: 'DELETE'
    })
  },
  //添加
  addLiveRoom(live) {
    return request({
      url: `/live/addLiveRoom`,
      method: 'POST',
      data: live
    })
  },
  //根据id查询
  getLiveRoomInfo(id) {
    return request({
      url: `/live/getLiveRoom/${id}`,
      method: 'GET'
    })
  },
  //修改
  updateLiveRoomInfo(live) {
    return request({
      url: `/live/updateLiveRoom`,
      method: 'POST',
      data: live
    })
  },
  //直播状态修改
  updateRoomStatusById(id) {
    return request({
      url: `/live/updateRoomStatusById/${id}`,
      method: 'GET'
    })
  },
  //上下架
  updateLiveRoomStatus(id) {
    return request({
      url: `/live/updateStatusById/${id}`,
      method: 'GET'
    })
  },
  //生成地址
  generousUrl(id) {
    return request({
      url: `/live/getLiveUrl`,
      method: 'GET'
    })
  },


  //分页获取列表
  getLiveOrderListPage(current, limit, liveQuery) {
    return request({
      url: `/live/roomBookPage/${current}/${limit}`,
      method: 'POST',
      data: liveQuery
    })
  },
}
