import request from '@/utils/request'

export default {
  //分页获取角色列表
  getRoleListPage(current,limit,roleQuery) {
    return request({
      url: `/role/pageRole/${current}/${limit}`,
      method: 'POST',
      data: roleQuery
    })
  },
  //删除角色
  deleteRoleId(id) {
    return request({
      url: `/role/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询角色
  getRoleInfo(id) {
    return request({
      url: `/role/getRole/${id}`,
      method: 'GET'
    })
  },
  //修改角色
  updateRoleInfo(role) {
    return request({
      url: `/role/updateRole`,
      method: 'POST',
      data: role
    })
  },
  //修改角色
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //是否黑名单角色
  updateRoleStatu(id) {
    return request({
      url: `/role/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取登录方式
  getLoginWayList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
