import request from '@/utils/request'

export default {
  //分页获取分类列表
  getDataDictListPage(current,limit,dataDictQuery) {
    return request({
      url: `/dataDict/pageDataDict/${current}/${limit}`,
      method: 'POST',
      data: dataDictQuery
    })
  },
  //删除分类
  deleteDataDictId(id) {
    return request({
      url: `/dataDict/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询分类
  getDataDictInfo(id) {
    return request({
      url: `/dataDict/getDataDict/${id}`,
      method: 'GET'
    })
  },
  //修改分类
  updateDataDictInfo(dataDict) {
    return request({
      url: `/dataDict/updateDataDict`,
      method: 'POST',
      data: dataDict
    })
  },
  //新增分类
  addDataDictInfo(dataDict) {
    return request({
      url: `/dataDict/addDataDict`,
      method: 'POST',
      data: dataDict
    })
  },

  //根据categoryName获取类别
  getCategoryIndex(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
