import request from '@/utils/request'

export default {
  //分页获取日志列表
  getLoggerListPage(current,limit,syslogQuery) {
    return request({
      url: `/syslog/pageSysLog/${current}/${limit}`,
      method: 'POST',
      data: syslogQuery
    })
  },
  //删除日志
  deleteLoggerId(id) {
    return request({
      url: `/syslog/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询日志
  getLoggerInfo(id) {
    return request({
      url: `/syslog/getLogger/${id}`,
      method: 'GET'
    })
  },
  //修改日志
  updateLoggerInfo(syslog) {
    return request({
      url: `/syslog/updateLogger`,
      method: 'POST',
      data: syslog
    })
  },
  //修改日志
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //是否黑名单日志
  updateLoggerStatu(id) {
    return request({
      url: `/syslog/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取登录方式
  getLoginWayList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
