import request from '@/utils/request'

export default {
  //分页获取标签列表
  getUserLabelListPage(current, limit, tagQuery) {
    return request({
      url: `/user/label/pageUserLabel/${current}/${limit}`,
      method: 'POST',
      data: tagQuery
    })
  },
  //删除标签
  deleteUserLabelId(id) {
    return request({
      url: `/user/label/${id}`,
      method: 'DELETE'
    })
  },
  //添加标签
  addUserLabel(tag) {
    return request({
      url: `/user/label/addUserLabel`,
      method: 'POST',
      data: tag
    })
  },
  //根据id查询标签
  getUserLabelInfo(id) {
    return request({
      url: `/user/label/getUserLabel/${id}`,
      method: 'GET'
    })
  },
  //修改标签
  updateUserLabelInfo(tag) {
    return request({
      url: `/user/label/updateUserLabel`,
      method: 'POST',
      data: tag
    })
  },
  //上下架标签
  updateUserLabelStatus(id) {
    return request({
      url: `/user/label/updateStatusById/${id}`,
      method: 'GET'
    })
  },


}
