import request from '@/utils/request'

export default {
  //分页获取用户列表
  getUserMemberListPage(current, limit, allUserQuery) {
    return request({
      url: `/user/member/pageUser/${current}/${limit}`,
      method: 'POST',
      data: allUserQuery
    })
  },
  //分页获取用户列表
  exportUserMember(allUserQuery) {
    return request({
      responseType : "blob",
      url: `/user/member/exportUserMember`,
      method: 'POST',
      data: allUserQuery
    })
  },
  //删除用户
  deleteAllUserId(id) {
    return request({
      url: `/allUser/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询用户
  getUserInfo(id) {
    return request({
      url: `/allUser/getAllUser/${id}`,
      method: 'GET'
    })
  },
  //修改用户
  updateAllUserInfo(allUser) {
    return request({
      url: `/allUser/updateAllUser`,
      method: 'POST',
      data: allUser
    })
  },

  //是否黑名单用户
  updateAllUserStatu(id) {
    return request({
      url: `/allUser/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取所属部门
  getDepartmentList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
