import request from '@/utils/request'

export default {

  //分页获取部门列表
  getDepartmentListPage(current,limit,departmentQuery) {
    return request({
      url: `/department/pageDepartment/${current}/${limit}`,
      method: 'POST',
      data: departmentQuery
    })
  },
  //删除部门
  deleteDepartmentId(id) {
    return request({
      url: `/department/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询部门
  getDepartmentInfo(id) {
    return request({
      url: `/department/getDepartment/${id}`,
      method: 'GET'
    })
  },
  //添加部门
  addDepartment(department) {
    return request({
      url: `/department/addDepartment`,
      method: 'POST',
      data: department
    })
  },
  //修改部门
  updateDepartment(department) {
    return request({
      url: `/department/updateDepartment`,
      method: 'POST',
      data: department
    })
  },

  //获取父部门
  getParentDepartmentList(current,limit,) {
    return request({
      url: `/department/pageDepartment/${current}/${limit}`,
      method: 'GET'
    })
  }

}
