import request from '@/utils/request'

export default {
  //分页获取用户列表
  getLoginRecordListPage(current,limit,loginlogQuery) {
    return request({
      url: `/loginlog/pageLoginlog/${current}/${limit}`,
      method: 'POST',
      data: loginlogQuery
    })
  },
  //删除用户
  deleteLoginRecordId(id) {
    return request({
      url: `/loginlog/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询用户
  getLoginRecordInfo(id) {
    return request({
      url: `/loginlog/getLoginRecord/${id}`,
      method: 'GET'
    })
  },
  //修改用户
  updateLoginRecordInfo(loginlog) {
    return request({
      url: `/loginlog/updateLoginRecord`,
      method: 'POST',
      data: loginlog
    })
  },
  //修改用户
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //导出
  exportLoginlog(current,limit,loginlogQuery) {
    return request({
      url: `/loginlog/exportLoginlog/${current}/${limit}`,
      method: 'POST',
      data: loginlogQuery,
      responseType : "blob",
    })
  },

  //获取登录方式
  getLoginWayList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
