import request from '@/utils/request'

export default {
  //分页获取个人信息列表
  getPersonListPage(current,limit,personQuery) {
    return request({
      url: `/person/pagePerson/${current}/${limit}`,
      method: 'POST',
      data: personQuery
    })
  },
  //删除个人信息
  deletePersonId(id) {
    return request({
      url: `/person/${id}`,
      method: 'DELETE'
    })
  },
  //根据id查询个人信息
  getPersonInfo(id) {
    return request({
      url: `/person/getPerson/${id}`,
      method: 'GET'
    })
  },
  //修改个人信息
  updatePersonInfo(person) {
    return request({
      url: `/person/updatePerson`,
      method: 'POST',
      data: person
    })
  },
  //修改个人信息
  uploadFileoss(file) {
    return request({
      url: `/eduoss/fileoss`,
      method: 'POST',
      data: file
    })
  },
  //是否黑名单个人信息
  updatePersonStatu(id) {
    return request({
      url: `/person/updateStatusById/${id}`,
      method: 'GET'
    })
  },

  //获取登录方式
  getLoginWayList(categoryName) {
    return request({
      url: `/dataDict/categoryIndex/${categoryName}`,
      method: 'GET'
    })
  }

}
