import Vue from 'vue'
import Router from 'vue-router'

// in development-env not use lazy-loading, because lazy-loading too many pages will cause webpack hot update too slow. so only in production use lazy-loading;
// detail: https://panjiachen.github.io/vue-element-admin-site/#/lazy-loading

Vue.use(Router)

/* Layout */
import Layout from '../views/layout/Layout'

/**
 * hidden: true                   if `hidden:true` will not show in the sidebar(default is false)
 * alwaysShow: true               if set true, will always show the root menu, whatever its child routes length
 *                                if not set alwaysShow, only more than one route under the children
 *                                it will becomes nested mode, otherwise not show the root menu
 * redirect: noredirect           if `redirect:noredirect` will no redirect in the breadcrumb
 * name:'router-name'             the name is used by <keep-alive> (must set!!!)
 * meta : {
    title: 'title'               the name show in submenu and breadcrumb (recommend set)
    icon: 'svg-name'             the icon show in the sidebar,
  }
 **/
export const constantRoutes = [
  {path: '/login', component: () => import('@/views/login/index'), hidden: true},

  // {
  //   path: '/data',
  //   component: Layout,
  //   redirect: '/data/table',
  //   name: '数据管理',
  //   meta: {title: '数据管理', icon: 'example'},
  //   children: [
  //     {
  //       path: 'customer',
  //       name: '所有用户',
  //       component: () => import('@/views/data/customer/CustomerPage'),
  //       meta: {title: '所有用户', icon: 'user'}
  //     },
  //     {
  //       path: 'customer/edit/:id',
  //       name: '修改用户信息',
  //       component: () => import('@/views/data/customer/EditCustomer'),
  //       meta: {title: '修改用户信息', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'customer/sport/:id',
  //       name: '用户运动信息',
  //       component: () => import('@/views/data/customer/component/UserSportInfo'),
  //       meta: {title: '运动信息', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'course',
  //       name: '课程管理',
  //       component: () => import('@/views/data/course/CoursePage'),
  //       meta: {title: '课程管理', icon: 'table'}
  //     },
  //     {
  //       path: 'course/save',
  //       name: '添加课程',
  //       component: () => import('@/views/data/course/EditCourse'),
  //       meta: {title: '添加课程', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'course/edit/:id',
  //       name: '编辑课程',
  //       component: () => import('@/views/data/course/EditCourse'),
  //       meta: {title: '编辑课程', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'article',
  //       name: '资讯管理',
  //       component: () => import('@/views/data/article/ArticlePage'),
  //       meta: {title: '资讯管理', icon: 'product-list'}
  //     },
  //     {
  //       path: 'article/save',
  //       name: '添加资讯',
  //       component: () => import('@/views/data/article/EditArticle'),
  //       meta: {title: '添加资讯', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'article/edit/:id',
  //       name: '编辑资讯',
  //       component: () => import('@/views/data/article/EditArticle'),
  //       meta: {title: '编辑资讯', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'banner',
  //       name: '轮播图管理',
  //       component: () => import('@/views/data/banner/BannerPage'),
  //       meta: {title: '轮播图管理', icon: 'sms-subject'}
  //     },
  //     {
  //       path: 'banner/save',
  //       name: '添加轮播图',
  //       component: () => import('@/views/data/banner/EditBanner'),
  //       meta: {title: '添加轮播图', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'banner/edit/:id',
  //       name: '编辑轮播图',
  //       component: () => import('@/views/data/banner/EditBanner'),
  //       meta: {title: '编辑轮播图', noCache: true},
  //       hidden: true
  //     }
  //   ]
  // },
  // {
  //   path: '/count',
  //   component: Layout,
  //   redirect: '/count/table',
  //   name: '统计管理',
  //   meta: {title: '统计管理', icon: 'total-week'},
  //   children: [
  //     {
  //       path: 'customer_count',
  //       name: '用户数量统计',
  //       component: () => import('@/views/count/customer_count/CustomerCountPage'),
  //       meta: {title: '用户数量统计', icon: 'table'}
  //     },
  //     {
  //       path: 'login_record',
  //       name: '登录记录清单',
  //       component: () => import('@/views/count/login_record/LoginRecordPage'),
  //       meta: {title: '登录记录清单', icon: 'tree'}
  //     },
  //     {
  //       path: 'sport_record',
  //       name: '运动记录清单',
  //       component: () => import('@/views/count/sport_record/SportRecordPage'),
  //       meta: {title: '运动记录清单', icon: 'tree'}
  //     },
  //     {
  //       path: 'machine_use_record',
  //       name: '器械使用情况',
  //       component: () => import('@/views/count/machine_used_report/MachineUsedReportPage'),
  //       meta: {title: '器械使用情况报表', icon: 'tree'}
  //     },
  //     {
  //       path: 'machine_used/detail/:id',
  //       name: '器械使用详情',
  //       component: () => import('@/views/count/machine_used_report/component/MachineUsedDetailPage'),
  //       meta: {title: '器械使用详情', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'sport_count',
  //       name: '运动统计',
  //       component: () => import('@/views/count/sport_count/SportCountPage'),
  //       meta: {title: '运动统计', icon: 'tree'}
  //     },
  //     {
  //       path: 'sport_count/detail/:id',
  //       name: '运动详情',
  //       component: () => import('@/views/count/sport_count/component/SportDetailPage'),
  //       meta: {title: '运动详情', noCache: true},
  //       hidden: true
  //     }
  //   ]
  // },
  // {
  //   path: '/user',
  //   component: Layout,
  //   redirect: '/user/table',
  //   name: '用户管理',
  //   meta: {title: '用户管理', icon: 'user'},
  //   children: [
  //     {
  //       path: 'person',
  //       name: '个人信息',
  //       component: () => import('@/views/user/person/PersonPage'),
  //       meta: {title: '个人信息', icon: 'table'}
  //     },
  //     {
  //       path: 'all_user',
  //       name: '所有用户',
  //       component: () => import('@/views/user/all_user/AllUserPage'),
  //       meta: {title: '所有用户', icon: 'ums-role'}
  //     },
  //     {
  //       path: 'all_user/save',
  //       name: '添加用户',
  //       component: () => import('@/views/user/all_user/EditAllUser'),
  //       meta: {title: '添加用户', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'all_user/edit/:id',
  //       name: '编辑用户',
  //       component: () => import('@/views/user/all_user/EditAllUser'),
  //       meta: {title: '编辑用户', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'department',
  //       name: '部门管理',
  //       component: () => import('@/views/user/department/DepartmentPage'),
  //       meta: {title: '部门管理', icon: 'tree'}
  //     },
  //     {
  //       path: 'department/save',
  //       name: '添加部门',
  //       component: () => import('@/views/user/department/EditDepartment'),
  //       meta: {title: '添加部门', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'department/edit/:id',
  //       name: '编辑部门',
  //       component: () => import('@/views/user/department/EditDepartment'),
  //       meta: {title: '编辑部门', noCache: true},
  //       hidden: true
  //     }
  //   ]
  // },
  // {
  //   path: '/permission',
  //   component: Layout,
  //   redirect: '/permission/table',
  //   name: '权限管理',
  //   meta: {title: '权限管理', icon: 'ums-menu'},
  //   children: [
  //     {
  //       path: 'role',
  //       name: '角色管理',
  //       component: () => import('@/views/permission/role/RolePage'),
  //       meta: {title: '角色管理', icon: 'table'}
  //     },
  //     {
  //       path: 'role/save',
  //       name: '添加角色',
  //       component: () => import('@/views/permission/role/EditRole'),
  //       meta: {title: '添加角色', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'role/edit/:id',
  //       name: '编辑角色',
  //       component: () => import('@/views/permission/role/EditRole'),
  //       meta: {title: '编辑角色', noCache: true},
  //       hidden: true
  //     }
  //   ]
  // },
  // {
  //   path: '/system',
  //   component: Layout,
  //   redirect: '/system/table',
  //   name: '系统管理',
  //   meta: {title: '系统管理', icon: 'order-setting'},
  //   children: [
  //     {
  //       path: 'logger',
  //       name: '日志管理',
  //       component: () => import('@/views/system/logger/LoggerPage'),
  //       meta: {title: '日志管理', icon: 'table'}
  //     },
  //     {
  //       path: 'logger/detail/:id',
  //       name: '查看日志',
  //       component: () => import('@/views/system/logger/EditLogger'),
  //       meta: {title: '查看日志', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'category',
  //       name: '类别设置',
  //       component: () => import('@/views/system/category/CategoryPage'),
  //       meta: {title: '类别设置', icon: 'table'}
  //     },
  //
  //     {
  //       path: 'category/save',
  //       name: '添加类别',
  //       component: () => import('@/views/system/category/EditCategory'),
  //       meta: {title: '添加类别', noCache: true},
  //       hidden: true
  //     },
  //     {
  //       path: 'category/edit/:id',
  //       name: '编辑类别',
  //       component: () => import('@/views/system/category/EditCategory'),
  //       meta: {title: '编辑类别', noCache: true},
  //       hidden: true
  //     }
  //   ]
  // },
  // {
  //   path: '/acl',
  //   component: Layout,
  //   redirect: '/acl/user/list',
  //   name: '权限管理',
  //   meta: {title: '权限管理', icon: 'chart'},
  //   children: [
  //     {
  //       path: 'user/list',
  //       name: '用户管理',
  //       component: () => import('@/views/acl/user/list'),
  //       meta: {title: '用户管理'}
  //     },
  //     {
  //       path: 'role/list',
  //       name: '角色管理',
  //       component: () => import('@/views/acl/role/list'),
  //       meta: {title: '角色管理'}
  //     },
  //     {
  //       path: 'role/form',
  //       name: '角色添加',
  //       component: () => import('@/views/acl/role/form'),
  //       meta: {title: '角色添加'},
  //       hidden: true
  //     },
  //     {
  //       path: 'role/update/:id',
  //       name: '角色修改',
  //       component: () => import('@/views/acl/role/form'),
  //       meta: {title: '角色修改'},
  //       hidden: true
  //     },
  //     {
  //       path: 'role/distribution/:id',
  //       name: '角色权限',
  //       component: () => import('@/views/acl/role/roleForm'),
  //       meta: {title: '角色权限'},
  //       hidden: true
  //     },
  //     {
  //       path: 'menu/list',
  //       name: '菜单管理',
  //       component: () => import('@/views/acl/menu/list'),
  //       meta: {title: '菜单管理'}
  //     },
  //     {
  //       path: 'user/add',
  //       name: '用户添加',
  //       component: () => import('@/views/acl/user/form'),
  //       meta: {title: '用户添加'},
  //       hidden: true
  //     },
  //     {
  //       path: 'user/update/:id',
  //       name: '用户修改',
  //       component: () => import('@/views/acl/user/form'),
  //       meta: {title: '用户修改'},
  //       hidden: true
  //     },
  //     {
  //       path: 'user/role/:id',
  //       name: '用户角色',
  //       component: () => import('@/views/acl/user/roleForm'),
  //       meta: {title: '用户角色'},
  //       hidden: true
  //     }
  //
  //   ]
  // },
  {path: '/404', component: () => import('@/views/404'), hidden: true}, {
    path: '/',
    component: Layout,
    redirect: '/welcome',
    name: '欢迎使用',
    hidden: true,
    children: [
      {
        path: '/welcome',
        component: () => import('@/views/welcome/WelcomePage'),
        meta: {title: '欢迎页面'},
        hidden: true
      },
      {
        path: '/user/person',
        name: '个人信息',
        component: () => import('@/views/acl/person/PersonPage'),
        meta: {title: '个人信息', icon: 'user'},
        hidden: true
      },
      {
        path: '/user/update_pwd',
        name: '修改密码',
        component: () => import('@/views/acl/password/UpdatePwd'),
        meta: {title: '修改密码', icon: 'user'},
        hidden: true
      },
      // {
      //   path: '/count/behavior',
      //   name: '事件查询',
      //   component: () => import('@/views/behavior/BehaviorPage'),
      //   meta: {title: '事件查询', icon: 'user'},
      //   hidden: true
      // },
      // {
      //   path: '/count/behavior_analysis',
      //   name: '事件分析',
      //   component: () => import('@/views/behavior_analysis/BehaviorAnalysisPage'),
      //   meta: {title: '事件分析', icon: 'user'},
      //   hidden: true
      // }
    ]
  }
]

const createRouter = () => new Router({
  // mode: 'history', // require service support
  scrollBehavior: () => ({y: 0}),
  routes: constantRoutes
})

const router = createRouter()

// export default new Router({
//   // mode: 'history', //后端支持可开
//   scrollBehavior: () => ({ y: 0 }),
//   routes: constantRoutes
// })

export default router
